#!/bin/bash

rres=`pwd`/../..
while getopts "d:" opt
do
  case $opt in
    o) echo "DynRSV base directory: $OPTARG"; rres=$OPTARG;;
    *) echo "Unimplemented option chosen."; exit -1;;
  esac
done



examples=$rres/examples
tests=$rres/examples/tests

mkdir $1
mkdir $1/bin $1/lib $1/lib/modules $1/lib/modules/cbs $1/test
cp /bin/ln /bin/cat /bin/dash /bin/dmesg /bin/echo \
   /bin/ls /bin/mkdir /bin/mknod /bin/mount /bin/sync /bin/uname $1/bin
cp /usr/bin/chrt /usr/bin/find $1/bin
cp /bin/lsmod /sbin/insmod /sbin/rmmod $1/bin
gcc -Wall sleep.c -o $1/bin/sleep

cp /lib/ld-linux.so.2 /lib/libblkid.so.1 /lib/librt.so.1 /lib/libattr.so.1 \
   /lib/libacl.so.1 /lib/libc.so.6 /lib/libpthread.so.0 /lib/libuuid.so.1 $1/lib

cat > $1/init <<EOF
#!/bin/dash

# Already done by kernel initramfs
#mkdir      /dev
#/bin/mknod /dev/console c 5 1

/bin/mknod /dev/null c 1 3
/bin/mknod /dev/zero c 1 5
/bin/mknod /dev/tty c 5 0

ln -s /bin/dash /bin/bash
mkdir /tmp

/bin/dash

EOF
chmod +x $1/init
